Crontab Files
===

This folder contains _crontab_ files and templates.  Crontab define a schedule for automated activities that are executed with the 'crond' scheduler system.

Documentation on the 'crond' scheduler can be found with:  ```man cron```

File Naming Convention
---

Files here in /p4/common/etc/cron.d should be named like so: ```crontab.$USER.${HOSTNAME%%.*}```

That is, crontab.*operating_system_user_id*.*short_hostname*

Sample: crontab.perforce.bos-helix-01

Versioning
---

If you are using the 'Tight Ship' style mangement of the Server Deployment Package (SDP), the suggested naming convention above is required.

See [docs for the sdp_sync.sh script](https://swarm.workshop.perforce.com/projects/perforce-software-sdp/files/main/doc/sdp_sync.command_summary.txt) for more information.

For more information, see [the tight ship setup script docs](https://swarm.workshop.perforce.com/projects/perforce-software-sdp/files/main/doc/hms_ts_setup.command_summary.txt).

