#!/bin/bash
# Tests the SDP - basic tests

/p4/reset_sdp.sh
[[ -L /p4/test_SDP.py ]] || ln -s /sdp/Server/test/test_SDP.py /p4/
[[ -L /p4/test_Upgrade.py ]] || ln -s /sdp/Server/test/test_Upgrade.py /p4/

python3 /p4/test_SDP.py
result=$?
[[ $result -eq 0 ]] || tail /tmp/SDPTest.log
[[ $result -eq 0 ]] || exit $result

python3 /p4/test_Upgrade.py
result=$?
[[ $result -eq 0 ]] || tail /tmp/UpgradeSDPTest.log
exit $result